Summary: Kerberos is a network authentication protocol.
Name: kerberos5
Version: 1.4.1
Release: 10tr
Group: Trustix Official
Source0: krb5-%{version}.tar.gz
Patch0: kerberos5-1.3.4-tempfile.patch
Patch1: kerberos5-1.4.1-gcc4.patch
Patch2: krb5-CAN-2004-0175.patch
Patch3: krb5-CAN-2005-1175.patch
Patch4: krb5-CAN-2005-1689.patch
Patch5: krb5-CVE-2006-6143.patch
Patch6: krb5-CVE-2007-0956.patch
Patch7: krb5-CVE-2007-0957.patch
Patch8: krb5-CVE-2007-1216.patch
Patch9: krb5-CVE-2007-2442_2443.patch
Patch10: krb5-CVE-2007-2798.patch
Patch11: krb5-CVE-2007-3999_4743.patch
URL: http://web.mit.edu/kerberos
License: Distributable
Requires: libcom_err
BuildRequires: libcom_err-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
(MIT) Kerberos is a network authentication protocol. It is designed to
provide strong authentication for client/server applications by using
secret-key cryptography.  A free implementation of this protocol is
available from the Massachusetts Institute of Technology. Kerberos is
available in many commercial products as well.

%package devel
Group: Trustix Official
Summary: Development libraries for kerberos 5
Requires: %{name}-libs
Requires: libcom_err-devel

%description devel
The kerberos5-devel package contains the development libraries and header files
for MIT kerberos5.

%package libs
Group: Trustix Official
Summary: Kerberos libraries 

%description libs
The kerberos5-libs package contains the kerberos5 libraries.


%prep
%setup -q -n krb5-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p0

%build
pushd src
export CFLAGS="${RPM_OPT_FLAGS} -I/usr/include/et"
%configure --enable-shared --program-prefix=krb5 --with-system-et
make
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
pushd src
make DESTDIR="$RPM_BUILD_ROOT" install
popd

rm -f $RPM_BUILD_ROOT/usr/share/man/man5/.k5login.5*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT



%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/gnats
%{_mandir}/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/*
/usr/share/examples/krb5/*

%files libs
%{_libdir}/*.so.*

%files devel
%defattr(0755,root,root,0755)
%{_includedir}/*
#%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Mon Sep 10 2007 Nived Gopalan <nived at trustix dot org> 1.4.1-10tr
- SECURITY Fix: A boundary error within the implementation of the
  RPCSEC_GSS authentication type exists in the "svcauth_gss_validate()"
  function in src/lib/rpc/svc_auth_gss.c. This can be exploited to
  cause a stack-based buffer overflow by sending a specially crafted
  RPC message to a vulnerable server.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-3999 to this issue.

* Thu Jun 28 2007 Nived Gopalan <nived at trustix dot org> 1.4.1-9tr
- SECURITY Fix: Some vulnerabilities have been reported in Kerberos, 
  which can be exploited by malicious users to compromise a vulnerable
  system.
- An error exists within the "gssrpc__svcauth_gssapi" function in the
  RPC library, which can cause kadmind and possibly other third-party
  products to free an uninitialised pointer when receiving an RPC
  credential with a length of zero.
- A signedness error exists within the "gssrpc__svcauth_unix()" function
  in the RPC library, which is used by kadmind and possibly other
  third-party products. This can be exploited to cause a stack-based
  buffer overflow.
- Fixes stack-based buffer overflow error in kadmind within the 
  rename_principal_2_svc function which could allow remote authenticated
  users to execute arbitrary code via a crafted request to rename a
  principal.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-2442, CVE-2007-2443 and CVE-2007-2798
  to these issues.

* Thu Apr 05 2007 Nived Gopalan <nived at trustix dot org> 1.4.1-8tr
- SECURITY Fix: Some vulnerabilities have been reported in Kerberos,
  which can be exploited by malicious users to cause a DoS or
  compromise a vulnerable system.
- An error exists in the MIT krb5 telnet daemon when processing the
  username. This can be exploited to log in as an arbitrary user by
  providing a specially crafted username beginning with "-e".
- A boundary error exists in the "krb5_klog_syslog()" function within
  the kadm5 library, which is used by KDC, kadmind and probably other
  third party products. This can be exploited to cause a stack-based
  buffer overflow via an overly long string.
- A double-free error exists in the "kg_unseal_v1()" function within
  the MIT krb5 GSS-API library, which can potentially be exploited to
  execute arbitrary code, but requires valid credentials.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-0956, CVE-2007-0957 and CVE-2007-1216
  to these issues.

* Tue Jan 16 2007 Bipin S <bipin at trustix dot org> 1.4.1-7tr
- Security Fix: The RPC library used in Kerberos administration daemon
  (kadmind) and other products that use this library, calls an
  uninitialized function pointer in freed memory, which allows remote
  attackers to cause a denial of service (crash) and possibly execute
  arbitrary code via unspecified vectors.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-6143 to this issue.

* Mon Jan 30 2006 Nived Gopalan <nived at trustix dot org> 1.4.1-6tr
- Added Requires libcom_err-devel for devel package.

* Wed Jul 13 2005 Bipin S <bipin at comodo dot com> 1.4.1-5tr
- Double-free in krb5_recvauth (CAN-2005-1689).
  Buffer overflow, Heap corruption in KDC (CAN-2005-1174) and (CAN-2005-1175)
  Fixed Bug# 1073 and 1075

* Thu Jun 30 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.4.1-4tr
- Security Fix: Fix for CAN-2004-0175 to krb5 rcp based on Markus Friedl's 
  fix for OpenSSH scp.

* Wed Apr 27 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.4.1-2tr
- Added gcc4 patch

* Sat Apr 23 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.4.1-1tr
- New Upstream

* Mon Apr 11 2005 Raghu <raghu at comodo dot com> 1.4-1tr
- New Upstream
 
* Thu Mar 17 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.6-4tr
- Rebuilt against Official Glibc-2.3.4

* Thu Mar 10 2005 Erlend Midttun <erlendbm at trustix dot org> 1.3.6-3tr
- Nuke installed but not packaged file.

* Tue Dec 21 2004 Erlend Midttun <erlendbm at trustix dot org> 1.3.6-2tr
- New upstream.

* Mon Nov  1 2004 Oystein Viggen <oysteivi at trustix dot com> 1.3.5-2tr
- Patch tempfile issue

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 1.3.5-1tr
- New upstream with updated security bugs

* Wed Sep  1 2004 Oystein Viggen <oysteivi at trustix dot com> 1.3.4-2tr
- Patch security bugs

* Fri Jun 17 2004 Chr. Toldnes <christht at trustix dot org> 1.3.4-1tr
- New upstream version: 1.3.4

* Wed Jun  2 2004 Chr. Toldnes <christht at trustix dot org> 1.3.3-1tr
- New upstream version: 1.3.3
- Added patch to fix buffer overflow.

* Tue Feb 11 2004 Tor Hveem <torh at trustix dot org> 1.3.1-4th
- Fixed stupid error with file wildcards.

* Tue Feb 10 2004 Tor Hveem <torh at trustix dot org> 1.3.1-3th
- New package libs.

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 1.3.1-2tr
- Use system et (libcom_err)

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 1.3.1-1tr
- Initial release for Trustix
- built shared :)  with no stack protection :(
